commit:     4dca7b9007e77485a758a1b4eb5280a4228741d5
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 14 12:10:25 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 12:18:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4dca7b90

dev-ml/ocaml-hashcons: initial import; ebuild by me

Package-Manager: portage-2.2.28
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/ocaml-hashcons/Manifest                  |  1 +
 dev-ml/ocaml-hashcons/metadata.xml              |  8 ++++++
 dev-ml/ocaml-hashcons/ocaml-hashcons-1.0.ebuild | 38 +++++++++++++++++++++++++
 3 files changed, 47 insertions(+)

diff --git a/dev-ml/ocaml-hashcons/Manifest b/dev-ml/ocaml-hashcons/Manifest
new file mode 100644
index 0000000..36c7731
--- /dev/null
+++ b/dev-ml/ocaml-hashcons/Manifest
@@ -0,0 +1 @@
+DIST ocaml-hashcons-1.0.tar.gz 19624 SHA256 
b32d9f9fb933708e9ab51184bb9d6a1523cea0d775a66c78161f30f5d7365cf3 SHA512 
58afc7f65920f4e31884ecd7e7538dd86b2a7a7f4f449cae098d510ac0446fcb663bf29fbbb4a2c44ad0e6d93d83901d1af1b81d0f8770530a77e8d127dd5186
 WHIRLPOOL 
6e412db459c815469d02867c93a516d3b7633a16001688c6818c8a281fc64a5f819f5020adfff569ff37d23b005acfb48a1b2c94727d3121e4f40151c41c9812

diff --git a/dev-ml/ocaml-hashcons/metadata.xml 
b/dev-ml/ocaml-hashcons/metadata.xml
new file mode 100644
index 0000000..ffac4d7
--- /dev/null
+++ b/dev-ml/ocaml-hashcons/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>

diff --git a/dev-ml/ocaml-hashcons/ocaml-hashcons-1.0.ebuild 
b/dev-ml/ocaml-hashcons/ocaml-hashcons-1.0.ebuild
new file mode 100644
index 0000000..fbc814e
--- /dev/null
+++ b/dev-ml/ocaml-hashcons/ocaml-hashcons-1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools findlib
+
+DESCRIPTION="OCaml hash-consing library"
+HOMEPAGE="https://github.com/backtracking/ocaml-hashcons";
+SRC_URI="https://github.com/backtracking/ocaml-hashcons/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+RDEPEND="dev-lang/ocaml:=[ocamlopt?]"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       eautoreconf
+       sed -i -e 's/$(OCAMLFIND) remove/#/' Makefile.in || die
+}
+
+src_compile() {
+       if use ocamlopt; then
+               emake opt byte
+       else
+               emake byte
+       fi
+}
+
+src_install() {
+       dodir "$(ocamlfind printconf destdir)/hashcons"
+       emake DESTDIR="-destdir ${D}/$(ocamlfind printconf destdir)/" $(usex 
ocamlopt install-opt install-byte)
+       dodoc README.md CHANGES
+}

Reply via email to